Baremetal

Reinstall operating system

post/baremetal/{baremetal_id}/reinstall

Reinstall the operating system on a baremetal server with a specified OS and disk layout configuration.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

baremetal_id*integer
Range1 ≤ value

Request body

application/jsonRequired
os_name*string
disk_layout_name?string | null
user*string
password*string
hostname*string
ssh_key_ids?array<integer> | null

Responses

Successful Response

application/json

detail*string